Loading...
Searching...
No Matches
L4::Ipc::Varg_list_ref::Iterator Class Reference

Iterator for Valists. More...

`#include <ipc_varg>`

Collaboration diagram for L4::Ipc::Varg_list_ref::Iterator:

## Public Member Functions

| Iterator (Iter_state const &s)
| Create a new iterator.
| operator bool () const
| validity check for the iterator
Iterator & | operator++ ()
| increment iterator to the next arg
Varg | operator* () const
| dereference the iterator, get Varg
bool | equals (Iterator const &o) const
| check for equality

## Detailed Description

Iterator for Valists.

Definition at line 338 of file ipc_varg.

The documentation for this class was generated from the following file:

- l4/sys/cxx/ipc_varg